package net.sergeych.tools

@Suppress("unused")
class AtomicCounter(initialValue: Long = 0) {
 private val op = ProtectedOp()
    var value: Long = initialValue
        private set

    fun incrementAndGet(): Long = op { ++value }
}